<?php

include "conecta.php";

    $NOME = 'Busca de Cidade';
    $TABELA = 'cidade';

	$TAB = substr($TABELA,0,4);

	cabecalho2('',2);

	$c1 = cactux::campo('Nome:','nome','',7," onkeyup=fecha_combo_net_teclado(); onblur=this.focus()");
	$c2 = cactux::campo('Código:','codigo','',3);
	$c4 = cactux::botao_submit("Buscar",2,'index','c',$_GET[c]);
	$c5 = cactux::botao("Voltar",2,'cancelar'," onclick=fecha_combo_net();");
	//$c6 = cactux::msg_status();
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($c4,$c5,$c6);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();


	javascript("
		
		if(window.parent.$('div_medi_interno').style.display == 'block')
			window.document.cadastro.nome.focus();
		
	");
	

	if( !$_GET[nome] )
		return;
	
	$sql = selecionar($TABELA,$TAB."_tx_status,".$TAB."_tx_nome",
			"ativo,@$_GET[nome]",grid::order_by($TAB.'_tx_nome'),1);
	$BUSCA = grid::gerar_paginacao($sql,'acao,codigo,nome,c',"index,$_GET[codigo],$_GET[nome],$_GET[c]");

	// inicio do grid
	
	$cabeca[] = array(grid::ordenar('CÓD',$TAB.'_nb_id'),grid::ordenar('NOME',$TAB.'_tx_nome'),
	grid::ordenar('CÓDIGO',$TAB.'_tx_codigo'));
	$cabeca[] = 'c,e,e,e,c';
	$cabeca[] = '8%,,,3%,3%';
	//$cabeca[]='95%';
	
	while( $array = carrega_array($BUSCA[0]) ) {
		
		$valores[]=array($array[0],".seleciona_combo_net($array[0],'$array[1]')","$array[m1]");
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>